classification
Title: [FreeBSD] test_c_locale_coercion doesn't support new C.UTF-8 locale of FreeBSD CURRENT
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: koobs, ncoghlan, vstinner
Priority: normal Keywords: patch

Created on 2018-11-21 10:49 by vstinner, last changed 2018-11-23 12:38 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10631 merged vstinner, 2018-11-21 10:52
PR 10672 merged vstinner, 2018-11-23 11:23
PR 10673 merged vstinner, 2018-11-23 12:12
Messages (13)
msg330189 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-21 10:49
It seems like the commit 02e6bf7f2025cddcbde6432f6b6396198ab313f4 (bpo-28604) broke test_c_locale_coercion on FreeBSD CURRENT Shared 3.x:

https://buildbot.python.org/all/#/builders/168/builds/247

0:19:33 load avg: 7.69 [401/419/2] test_c_locale_coercion failed -- running: test_decimal (40 sec 626 ms), test_lib2to3 (2 min 3 sec)
test_external_target_locale_configuration (test.test_c_locale_coercion.LocaleConfigurationTests) ... ok
test_LC_ALL_set_to_C (test.test_c_locale_coercion.LocaleCoercionTests) ... ok
test_PYTHONCOERCECLOCALE_not_set (test.test_c_locale_coercion.LocaleCoercionTests) ... test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) ... test_PYTHONCOERCECLOCALE_set_to_warn (test.test_c_locale_coercion.LocaleCoercionTests) ... test_PYTHONCOERCECLOCALE_set_to_zero (test.test_c_locale_coercion.LocaleCoercionTests) ... ok

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_set (test.test_c_locale_coercion.LocaleCoercionTests) (default_locale=True, PYTHONCOERCECLOCALE=None)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 341, in _check_c_locale_coercion
    self._check_child_encoding_details(base_var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_set (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='C', PYTHONCOERCECLOCALE=None)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'c',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_set (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='C', PYTHONCOERCECLOCALE=None)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_set (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE=None)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'invalid.ascii',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_set (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE=None)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (default_locale=True, PYTHONCOERCECLOCALE='')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 341, in _check_c_locale_coercion
    self._check_child_encoding_details(base_var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='C', PYTHONCOERCECLOCALE='')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'c',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='C', PYTHONCOERCECLOCALE='')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE='')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'invalid.ascii',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE='')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (default_locale=True, PYTHONCOERCECLOCALE='1')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 341, in _check_c_locale_coercion
    self._check_child_encoding_details(base_var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='C', PYTHONCOERCECLOCALE='1')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'c',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='C', PYTHONCOERCECLOCALE='1')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE='1')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'invalid.ascii',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE='1')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (default_locale=True, PYTHONCOERCECLOCALE='true')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 341, in _check_c_locale_coercion
    self._check_child_encoding_details(base_var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='C', PYTHONCOERCECLOCALE='true')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'c',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='C', PYTHONCOERCECLOCALE='true')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE='true')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'invalid.ascii',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE='true')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (default_locale=True, PYTHONCOERCECLOCALE='false')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 341, in _check_c_locale_coercion
    self._check_child_encoding_details(base_var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='C', PYTHONCOERCECLOCALE='false')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'c',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='C', PYTHONCOERCECLOCALE='false')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE='false')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'invalid.ascii',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_not_zero (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE='false')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_set_to_warn (test.test_c_locale_coercion.LocaleCoercionTests) (default_locale=True, PYTHONCOERCECLOCALE='warn')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 341, in _check_c_locale_coercion
    self._check_child_encoding_details(base_var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_set_to_warn (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='C', PYTHONCOERCECLOCALE='warn')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[131 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'c',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_set_to_warn (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='C', PYTHONCOERCECLOCALE='warn')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_set_to_warn (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LANG', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE='warn')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[143 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': 'invalid.ascii',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

======================================================================
FAIL: test_PYTHONCOERCECLOCALE_set_to_warn (test.test_c_locale_coercion.LocaleCoercionTests) (env_var='LC_CTYPE', nominal_locale='invalid.ascii', PYTHONCOERCECLOCALE='warn')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 356, in _check_c_locale_coercion
    self._check_child_encoding_details(var_dict,
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_c_locale_coercion.py", line 231, in _check_child_encoding_details
    self.assertEqual(encoding_details, expected_details)
AssertionError: {'fsencoding': 'ascii', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''} != {'fsencoding': 'utf-8', 'stdin_info': 'utf-8:surrogateesc[130 chars]: ''}
- {'fsencoding': 'ascii',
?                 ^^^^^

+ {'fsencoding': 'utf-8',
?                 ^^^^^

   'lang': '',
   'lc_all': '',
   'lc_ctype': 'c.utf-8',
   'stderr_info': 'utf-8:backslashreplace',
   'stdin_info': 'utf-8:surrogateescape',
   'stdout_info': 'utf-8:surrogateescape'}

----------------------------------------------------------------------

Ran 6 tests in 6.205s

FAILED (failures=30)
test test_c_locale_coercion failed
msg330190 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-21 11:21
New changeset 7c2d5702d11b41dd9a2391e6813fbaef5dbda79a by Victor Stinner in branch 'master':
bpo-35290: Add debug info to test_c_locale_coercion (GH-10631)
https://github.com/python/cpython/commit/7c2d5702d11b41dd9a2391e6813fbaef5dbda79a
msg330238 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-22 09:20
Result of the additional debug info, on the FreeBSD CURRENT buildbot:

AVAILABLE_TARGETS = ['C.UTF-8']
EXPECTED_C_LOCALE_EQUIVALENTS = ['C', 'invalid.ascii']
EXPECTED_C_LOCALE_STREAM_ENCODING = 'ascii'
EXPECTED_C_LOCALE_FS_ENCODING = 'ascii'
EXPECT_COERCION_IN_DEFAULT_LOCALE = True
_C_UTF8_LOCALES = ('C.UTF-8', 'C.utf8', 'UTF-8')
_check_nl_langinfo_CODESET = True
msg330241 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-22 11:21
> AVAILABLE_TARGETS = ['C.UTF-8']

Aha, that's something new in FreeBSD. In FreeBSD 11.2, this locale is invalid. The locale has been added to FreeBSD CURRENT (future FreeBSD 12) at November 4:
https://reviews.freebsd.org/D17833

See discussion on freebsd-current:

http://freebsd.1045724.x6.nabble.com/C-UTF-8-as-default-locale-td6292359.html

So it's unrelated to my change, but it's a bug in test_c_locale_coercion on FreeBSD 12.
msg330243 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-22 11:26
More FreeBSD commits, "Teach man(1) about C.UTF-8":
https://svnweb.freebsd.org/base?view=revision&revision=340128

---


EXPECTED_C_LOCALE_STREAM_ENCODING = 'ascii'
EXPECTED_C_LOCALE_FS_ENCODING = 'ascii'

I guess that the problem comes from that. But I'm not sure of what is the FS encoding for LC_ALL=C or LC_ALL=C.UTF-8.
msg330254 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2018-11-22 13:06
Ah, interesting. https://bugs.python.org/issue30672 covered the fact that this test was already weird on FreeBSD, but the current status is that it was expecting BSD variants to act somewhat like Mac OS X, not like Linux.

I'm wondering if we may need to make test_c_locale_coercion less opinionated, where for most platforms it's just a "don't segfault" test, and it's only for ones where we're certain about how we expect it to behave (i.e. Linux, Mac OS X, AIX, maybe FreeBSD) that we try to check the specifics.
msg330258 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-22 14:01
> I'm wondering if we may need to make test_c_locale_coercion less opinionated, where for most platforms it's just a "don't segfault" test, and it's only for ones where we're certain about how we expect it to behave (i.e. Linux, Mac OS X, AIX, maybe FreeBSD) that we try to check the specifics.

For test_embed, I tried to be smart to guess the encodings (ex: hardcode some encodings depending on  the platform) and... I gave up. It's very hard when you consider Linux, Windows, macOS, FreeBSD, but also HP-UX and AIX. Each platform has weird cases about encodings... Now the test spawns a Python subprocess to get the encoding. See get_stdio_encoding() and get_filesystem_encoding() in Lib/test/test_embed.py.
msg330303 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-23 11:27
Ok, I found the bug: it is related to the commit 905f1ace5f7424e314ca7bed997868a2a3044839 of bpo-34523. Python now uses ASCII for the filesystem encoding if the internal "force ASCII" mode is enabled in Py_DecodeLocale/Py_EncodeLocale.

FreeBSD CURRENT introduced a new C.UTF-8 locale which is used by C locale coercion (PEP 538).

_PyCoreConfig_Read() now uses ASCII for the filesystem encoding if the "force ASCII" mode is enable (to ensure that encodings are consistent everywhere Python).

Problem: The LC_CTYPE now uses UTF-8 (thanks to C locale coercion) whereas Python uses ASCII for the filesystem encoding since the "force ASCII" is still enabled.

I wrote PR 10672 to reset the "force ASCII" mode. I tested manually my fix on the FreeBSD CURRENT buildbot.
msg330306 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-23 11:38
Oh, I also modified Python 3.7 to respect the "force ASCII" mode in bpo-34403, commit 21220bbe65108f5a763ead24a6b572f80d84c9e2. Hopefully, this change is not part of the latest Python 3.7.1 bugfix release.

By the way, the bug only impacts FreeBSD CURRENT users (after Nov 4, after C.UTF-8 has been added) who have no locale set (LC_CTYPE is "C", ex: python3 running in an empty environment) and explicitly disable the UTF-8 mode... Well, I guess that very few users (I mean no one) are impacted :-)
msg330308 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-23 11:48
The bug is that sys.getfilesystemencoding() should be the locale encoding. On FreeBSD CURRENT, Python uses ASCII for the filesystem encoding, whereas the locale encoding is UTF-8.

CURRENT-amd64% env -i ./python -X utf8=0 -c 'import locale, sys; print(sys.getfilesystemencoding(), locale.getpreferredencoding())'
ascii UTF-8
msg330312 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-23 12:08
New changeset 353933e712b6c7f7ba9a9a50bd5bd472db7c35d0 by Victor Stinner in branch 'master':
bpo-34523: Fix C locale coercion on FreeBSD CURRENT (GH-10672)
https://github.com/python/cpython/commit/353933e712b6c7f7ba9a9a50bd5bd472db7c35d0
msg330318 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-23 12:37
New changeset f6e323ce322cf54b1a9e9252b13f93ebc28b5c24 by Victor Stinner in branch '3.7':
bpo-34523: Fix C locale coercion on FreeBSD CURRENT (GH-10672) (GH-10673)
https://github.com/python/cpython/commit/f6e323ce322cf54b1a9e9252b13f93ebc28b5c24
msg330319 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-23 12:38
I tested my 3.7 and master fixes: they fix test_c_locale_coercion on the FreeBSD CURRENT buildbot.
History
Date User Action Args
2018-11-23 12:38:21vstinnersetstatus: open -> closed
versions: + Python 3.7
messages: + msg330319

resolution: fixed
stage: patch review -> resolved
2018-11-23 12:37:45vstinnersetmessages: + msg330318
2018-11-23 12:12:00vstinnersetpull_requests: + pull_request9929
2018-11-23 12:08:31vstinnersetmessages: + msg330312
2018-11-23 11:48:30vstinnersetmessages: + msg330308
2018-11-23 11:38:30vstinnersetmessages: + msg330306
2018-11-23 11:27:29vstinnersetmessages: + msg330303
2018-11-23 11:23:01vstinnersetpull_requests: + pull_request9927
2018-11-22 14:01:57vstinnersetmessages: + msg330258
2018-11-22 13:15:02koobssetnosy: + koobs
2018-11-22 13:06:55ncoghlansetmessages: + msg330254
2018-11-22 11:26:59vstinnersetmessages: + msg330243
title: [FreeBSD] test_c_locale_coercion: fsencoding is ASCII instead of UTF-8 on FreeBSD CURRENT buildbot -> [FreeBSD] test_c_locale_coercion doesn't support new C.UTF-8 locale of FreeBSD CURRENT
2018-11-22 11:21:35vstinnersetnosy: + ncoghlan
messages: + msg330241
2018-11-22 09:20:16vstinnersetmessages: + msg330238
2018-11-21 11:21:32vstinnersetmessages: + msg330190
2018-11-21 10:52:24vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request9879
2018-11-21 10:49:52vstinnercreate